# $Revision: 1.47 $, $Date: 2007/02/13 07:47:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	PDF
Summary:	Text::PDF perl module
Summary(pl.UTF-8):	Moduł perla Text::PDF
Name:		perl-Text-PDF
%define		base_version	0.29
Version:	%{base_version}a
Release:	1
# one module mentions License=Artistic
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2fdf4c3170e53a083715888237914a9b
Patch0:		%{name}-fix.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Font-TTF
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::PDF - PDF manipulation module.

%description -l pl.UTF-8
Text::PDF umożliwia operowanie na plikach PDF.

%prep
%setup -q -n %{pdir}-%{pnam}-%{base_version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *txt lib/Text/PDF/changes
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/Text/PDF.pm
%dir %{perl_vendorlib}/Text/PDF
%{perl_vendorlib}/Text/PDF/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-PDF.spec,v $
Revision 1.47  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.45  2006/10/21 17:45:17  ankry
- ver. 0.29a

Revision 1.44  2004/11/03 22:30:50  paladine
- formatting

Revision 1.43  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.42  2004/05/06 18:01:32  ankry
- fixed perl-devel BR

Revision 1.41  2004/05/03 18:08:24  ankry
- license fixed, cosmetics

Revision 1.40  2004/04/27 15:26:28  ankry
- new bconds

Revision 1.39  2003/09/18 13:22:03  adamg
- updated to 0.25

Revision 1.38  2003/09/09 10:24:52  ankry
- spaces -> tab

Revision 1.37  2003/08/18 08:09:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.36  2003/05/28 13:01:06  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:25:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.33  2003/03/01 21:35:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.32  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.31  2003/02/18 15:38:53  ankry
- massive attack: change CPAN URLs

Revision 1.30  2002/09/16 11:37:33  ankry
- fixed file list, moved changes to %%docdir, rediffed patch0
- added tests on bcond (but currently no-op)
- release 2

Revision 1.29  2002/09/15 12:26:04  kloczek
- (auto)updated to 0.23.

Revision 1.28  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.27  2002/07/11 08:05:14  depesz
- new version; should work; STBR

Revision 1.26  2002/07/10 09:01:50  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.25  2002/05/11 14:28:13  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.24  2002/02/25 10:35:02  depesz
cleanup; revision++

Revision 1.23  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/02/13 14:21:08  depesz
automatic: Source location unified, Relase Up

Revision 1.21  2002/02/10 15:35:51  depesz
adapterized

Revision 1.20  2002/01/18 02:14:32  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/12/16 02:51:08  kloczek
- updated to 0.18 (bug fix release).

Revision 1.18  2001/07/25 09:14:26  mis
- autoupdated to 0.16

Revision 1.17  2001/06/19 09:55:35  mis
- autoupdated to 0.15

Revision 1.16  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.15  2001/05/19 12:11:03  mis
- autoupdated to 0.14

Revision 1.14  2001/04/18 02:11:01  baggins
- added fix for File.pm

Revision 1.13  2001/04/17 12:16:56  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:10  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/03/29 07:58:51  mis
- autoupdated to 0.13

Revision 1.10  2001/01/25 21:02:45  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/09/20 23:45:08  kloczek
- updated to 0.12.

Revision 1.8  2000/06/09 07:54:58  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 17:57:17  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:32  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:36:01  pius
- updated to 0.07

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:20  pius
- initial release
